Skip to main content
PATCH
/
v2
/
extensions
/
{extensionId}
Update Extension
curl --request PATCH \
  --url https://api.jtl-cloud.com/erp/v2/extensions/{extensionId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "version": "<string>",
  "manifestHash": "<string>",
  "status": 0
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "extensionId": "<string>",
  "version": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "lastChanged": "2023-11-07T05:31:56Z",
  "manifestHash": "<string>",
  "status": 0
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

x-api-key
string
header
required

Optional: If no token is present, the API Gateway injects it.

Headers

x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

extensionId
string<uuid>
required

The id of the Extension Represents a unique key for identifying an extension within the JTL.Wawi extensibility framework.

Body

application/json

The relevant Information of the Extension

Model Class: UpdateExtension

version
string

The Version of Extension.

manifestHash
string

The Hash of the Manifest Hexadeimcal Sha512

status
enum<integer>

The status of the Extension

Available options:
0,
1,
2

Response

The changed Extension

Model Class: Extension

id
string<uuid>

The Identifier of the Extension.

extensionId
string

The Unique Identifier of the Extension

version
string

The Version of Extension.

created
string<date-time>

The Date of Creation the Extension in the Wawi

lastChanged
string<date-time>

The Date of the last changeof the Extension information

manifestHash
string

The Hash of the Manifest Hexadeimcal Sha512

status
enum<integer>

The status of the Extension

Available options:
0,
1,
2